## dde-session 1.2.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(dde-session LANGUAGES CXX C)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()
include(GNUInstallDirs)

macro(install_symlink filepath wantsdir)
    file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/link/${wantsdir}/)
    execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ${CMAKE_INSTALL_PREFIX}/lib/systemd/user/${filepath} ${PROJECT_BINARY_DIR}/link/${wantsdir}/${filepath})
    install(FILES ${PROJECT_BINARY_DIR}/link/${wantsdir}/${filepath} DESTINATION lib/systemd/user/${wantsdir}/)
endmacro(install_symlink)

add_subdirectory("src")
add_subdirectory("systemd")
add_subdirectory("misc")
add_subdirectory("tools")

install(FILES dbus/org.deepin.dde.Session1.service
    DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services/)

=== misc/CMakeLists.txt ===
configure_file(xsessions/dde-x11.desktop.in xsessions/dde-x11.desktop)

set(XSESSION
    ${CMAKE_CURRENT_SOURCE_DIR}/Xsession.d/00deepin-dde-env
    ${CMAKE_CURRENT_SOURCE_DIR}/Xsession.d/01deepin-profile
    ${CMAKE_CURRENT_SOURCE_DIR}/Xsession.d/94qt_env
)

set(PROFILE
    ${CMAKE_CURRENT_SOURCE_DIR}/profile.d/deepin-xdg-dir.sh
)

install(
    DIRECTORY
        ${CMAKE_CURRENT_BINARY_DIR}/xsessions
    DESTINATION
        ${CMAKE_INSTALL_DATADIR}
    PATTERN
        "*.in" EXCLUDE
)

install(FILES ${XSESSION} DESTINATION /etc/X11/Xsession.d/)
install(FILES ${PROFILE} DESTINATION /etc/profile.d)

=== src/CMakeLists.txt ===
find_package(DtkTools REQUIRED)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set (CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_FLAGS "-W -Wall -fPIC -fstack-protector-all -z relro -z noexecstack -z now -pie")

# qdbusxml2cpp-fix
file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/dbusinterface/)
set(QT_DBUS_INTERFACE_INCLUDE ${PROJECT_BINARY_DIR}/dbusinterface/)

macro(qt5_add_dbus_interface_fix srcs xml class file)
  execute_process(COMMAND ${DTK_XML2CPP} -c ${class} -p ${PROJECT_BINARY_DIR}/dbusinterface/${file} ${PROJECT_SOURCE_DIR}/dbus/interface/${xml})
  list(APPEND ${srcs}
    ${PROJECT_BINARY_DIR}/dbusinterface/${file}.h
    ${PROJECT_BINARY_DIR}/dbusinterface/${file}.cpp
  )
endmacro(qt5_add_dbus_interface_fix)

# qtdbusextended
set(DBUS_INCLUDE ${PROJECT_SOURCE_DIR}/dbus/)
list(APPEND DBUSEXTENDED_SOURCE
  ${PROJECT_SOURCE_DIR}/src/qtdbusextended/DBusExtended
  ${PROJECT_SOURCE_DIR}/src/qtdbusextended/dbusextended.h
  ${PROJECT_SOURCE_DIR}/src/qtdbusextended/DBusExtendedAbstractInterface
  ${PROJECT_SOURCE_DIR}/src/qtdbusextended/dbusextendedabstractinterface.h
  ${PROJECT_SOURCE_DIR}/src/qtdbusextended/dbusextendedpendingcallwatcher_p.h
  ${PROJECT_SOURCE_DIR}/src/qtdbusextended/dbusextendedabstractinterface.cpp
  ${PROJECT_SOURCE_DIR}/src/qtdbusextended/dbusextendedpendingcallwatcher.cpp
)

add_subdirectory("dde-session-ctl")
add_subdirectory("dde-session")

=== systemd/CMakeLists.txt ===
configure_file(dde-session-manager.service.in
               dde-session-manager.service
               @ONLY)
configure_file(dde-session-exit-task.service.in
               dde-session-exit-task.service
               @ONLY)
configure_file(dde-session-shutdown.service.in
               dde-session-shutdown.service
               @ONLY)

set(SERVICES
    dde-session-initialized.target
    ${CMAKE_CURRENT_BINARY_DIR}/dde-session-manager.service
    dde-session-manager.target
    dde-session-pre.target
    ${CMAKE_CURRENT_BINARY_DIR}/dde-session-exit-task.service
    ${CMAKE_CURRENT_BINARY_DIR}/dde-session-shutdown.service
    dde-session-shutdown.target
    dde-session.target
)
install(FILES ${SERVICES} DESTINATION lib/systemd/user/)

install(DIRECTORY DESTINATION lib/systemd/user/dde-session-pre.target.wants/)
set(DDE_SESSION_PRE_WANTS
    dde-session-pre.target.wants/dde-session@x11.service
    dde-session-pre.target.wants/dde-display.service
)

# dde-session-initialized.target.wants - TODO: 暂时先放这里，后续应该转移到对应服务
install(DIRECTORY DESTINATION lib/systemd/user/dde-session-initialized.target.wants/)
set(DDE_SESSION_INITIALIZED_WANTS
    dde-session-initialized.target.wants/dde-desktop.service
    dde-session-initialized.target.wants/dde-shell@DDE.service
    dde-session-initialized.target.wants/dde-lock.service
    dde-session-initialized.target.wants/dde-osd.service
    dde-session-initialized.target.wants/dde-osd.target
    dde-session-initialized.target.wants/dde-polkit-agent.service
)

install(FILES ${DDE_SESSION_PRE_WANTS} DESTINATION lib/systemd/user/)
install(FILES ${DDE_SESSION_INITIALIZED_WANTS} DESTINATION lib/systemd/user/)
install_symlink(dde-session@x11.service dde-session-pre.target.wants)
install_symlink(dde-display.service dde-session-pre.target.wants)
install_symlink(dde-desktop.service dde-session-initialized.target.wants)
install_symlink(dde-shell@DDE.service dde-session-initialized.target.wants)
install_symlink(dde-lock.service dde-session-initialized.target.wants)
install_symlink(dde-polkit-agent.service dde-session-initialized.target.wants)
install_symlink(dde-osd.service dde-session-initialized.target.wants)

install(FILES ${DDE_SESSION_DAEMON_WANTS} DESTINATION lib/systemd/user/)
install(DIRECTORY dde-session-shutdown.target.d DESTINATION lib/systemd/user/)

=== src/dde-session-ctl/CMakeLists.txt ===
#find_package(QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
find_package(Qt5 COMPONENTS Core DBus REQUIRED)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
qt5_add_dbus_interface(DBUS_SOURCES
    ../../dbus/adaptor/org.deepin.dde.Session1.xml
    Session
)

add_executable(dde-session-ctl
  main.cpp
  ${DBUS_SOURCES}
  ../../dbus/adaptor/org.deepin.dde.Session1.xml
)
target_link_libraries(dde-session-ctl
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
)

install(TARGETS dde-session-ctl DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})

=== src/dde-session/CMakeLists.txt ===
#find_package(QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
find_package(Qt5 COMPONENTS Core Concurrent DBus REQUIRED)
find_package(DtkCore REQUIRED)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
find_package(PkgConfig REQUIRED)
pkg_check_modules(Systemd REQUIRED IMPORTED_TARGET libsystemd)
pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt)
pkg_check_modules(GLIB2 REQUIRED IMPORTED_TARGET glib-2.0)
pkg_check_modules(GIO2 REQUIRED IMPORTED_TARGET gio-2.0)
pkg_check_modules(XCURSOR REQUIRED IMPORTED_TARGET xcursor)
pkg_check_modules(XFIXES REQUIRED IMPORTED_TARGET xfixes)
pkg_check_modules(X11 REQUIRED IMPORTED_TARGET x11)

# dbus adaptor
qt5_add_dbus_adaptor(ADAPTER_SOURCES
    ../../dbus/adaptor/org.deepin.dde.Session1.xml
    impl/session.h
    Session)
qt5_add_dbus_adaptor(ADAPTER_SOURCES
    ../../dbus/adaptor/org.deepin.dde.SessionManager1.xml
    impl/sessionmanager.h
    SessionManager)
qt5_add_dbus_adaptor(ADAPTER_SOURCES
    ../../dbus/adaptor/org.deepin.dde.Inhibitor1.xml
    impl/inhibitor.h
    Inhibitor)
qt5_add_dbus_adaptor(ADAPTER_SOURCES
    ../../dbus/adaptor/org.deepin.dde.WMSwitcher1.xml
    impl/wmswitcher.h
    WMSwitcher)

# dbus interface
qt5_add_dbus_interface_fix(INTERFACE_SOURCES org.deepin.dde.PowerManager1.xml PowerManager org_deepin_dde_PowerManager1)
qt5_add_dbus_interface_fix(INTERFACE_SOURCES org.deepin.dde.Bluetooth1.xml Bluetooth org_deepin_dde_Bluetooth1)
qt5_add_dbus_interface_fix(INTERFACE_SOURCES org.deepin.dde.Daemon1.xml SessionDaemon org_deepin_dde_Daemon1)
qt5_add_dbus_interface_fix(INTERFACE_SOURCES org.freedesktop.login1.Manager.xml Login1Manager org_freedesktop_login1_Manager)
qt5_add_dbus_interface_fix(INTERFACE_SOURCES org.freedesktop.login1.Session.xml Login1Session org_freedesktop_login1_Session)
qt5_add_dbus_interface_fix(INTERFACE_SOURCES org.freedesktop.login1.User.xml Login1User org_freedesktop_login1_User)
qt5_add_dbus_interface_fix(INTERFACE_SOURCES org.freedesktop.DBus.xml DBus org_freedesktop_DBus)
qt5_add_dbus_interface_fix(INTERFACE_SOURCES org.freedesktop.systemd1.Manager.xml Systemd1Manager org_freedesktop_systemd1_Manager)
qt5_add_dbus_interface_fix(INTERFACE_SOURCES org.freedesktop.systemd1.Job.xml Systemd1Job org_freedesktop_systemd1_Job)
qt5_add_dbus_interface_fix(INTERFACE_SOURCES org.deepin.dde.Audio1.xml Audio1 org_deepin_dde_Audio1)
qt5_add_dbus_interface_fix(INTERFACE_SOURCES org.deepin.dde.Audio1.Sink.xml Sink org_deepin_dde_Audio1_Sink)
qt5_add_dbus_interface_fix(INTERFACE_SOURCES org.deepin.dde.SoundThemePlayer1.xml SoundThemePlayer org_deepin_dde_SoundThemePlayer1)
qt5_add_dbus_interface_fix(INTERFACE_SOURCES com.deepin.wm.xml DeepinWm com_deepin_Wm)

file(GLOB_RECURSE DBUS_TYPES ${PROJECT_SOURCE_DIR}/dbus/types/*)

add_executable(dde-session
    main.cpp
    environmentsmanager.h
    environmentsmanager.cpp
    othersmanager.h
    othersmanager.cpp
    impl/session.h
    impl/session.cpp
    impl/sessionmanager.h
    impl/sessionmanager.cpp
    impl/inhibitor.h
    impl/inhibitor.cpp
    impl/wmswitcher.h
    impl/wmswitcher.cpp
    impl/iowait/iowaitwatcher.h
    impl/iowait/iowaitwatcher.cpp
    impl/iowait/xcursor_remap.h
    impl/iowait/xcursor_remap.c
    ../utils/dconf.h
    ../utils/dconf.cpp
    ../utils/fifo.h
    ../utils/fifo.cpp
    ../utils/utils.h
    ${ADAPTER_SOURCES}
    ${INTERFACE_SOURCES}
    ${DBUS_TYPES}
    )

target_link_libraries(dde-session
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Concurrent
    PkgConfig::Systemd
    ${DtkCore_LIBRARIES}
    PkgConfig::GLIB2
    PkgConfig::GIO2
    PkgConfig::QGSettings
    PkgConfig::XCURSOR
    PkgConfig::XFIXES
    PkgConfig::X11
    )

target_include_directories(dde-session PUBLIC
    ../
    ${QT_DBUS_INTERFACE_INCLUDE}
    ${DBUS_INCLUDE}
    )

install(TARGETS dde-session DESTINATION ${CMAKE_INSTALL_BINDIR})

=== tools/dde-login-reminder/CMakeLists.txt ===
set(BIN_NAME dde-login-reminder)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
#find_package(QT NAMES Qt6 Qt5 COMPONENTS Core Network REQUIRED)
find_package(Qt5 COMPONENTS Core Network DBus REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt)

message(${PROJECT_SOURCE_DIR})

add_executable(${BIN_NAME}
    main.cpp
    loginreminderinfo.h
    loginreminderinfo.cpp
    ${PROJECT_SOURCE_DIR}/src/utils/utils.h
    )

target_link_libraries(${BIN_NAME}
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Network
    PkgConfig::QGSettings
    )

target_include_directories(${BIN_NAME} PUBLIC
    ${PROJECT_SOURCE_DIR}/src/utils
    )

install(TARGETS ${BIN_NAME} DESTINATION bin)

set(SYSTEMD_FILES
    dde-login-reminder.service
)
install(FILES ${SYSTEMD_FILES} DESTINATION lib/systemd/user/)
install(DIRECTORY DESTINATION lib/systemd/user/dde-osd.target.wants/)
install_symlink(dde-login-reminder.service dde-osd.target.wants)

=== tools/dde-version-checker/CMakeLists.txt ===
set(BIN_NAME dde-version-checker)

#find_package(QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
find_package(Qt5 COMPONENTS Core REQUIRED)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

message(${PROJECT_SOURCE_DIR})

add_executable(${BIN_NAME}
    main.cpp
    )

target_link_libraries(${BIN_NAME}
    Qt${QT_VERSION_MAJOR}::Core
    )

install(TARGETS ${BIN_NAME} DESTINATION bin)

set(SYSTEMD_FILES
    dde-version-checker.service
)
install(FILES ${SYSTEMD_FILES} DESTINATION lib/systemd/user/)
install(DIRECTORY DESTINATION lib/systemd/user/dde-session-initialized.target.wants/)
install_symlink(dde-version-checker.service dde-session-initialized.target.wants)

=== tools/dde-xsettings-checker/CMakeLists.txt ===
set(BIN_NAME dde-xsettings-checker)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

#find_package(QT NAMES Qt6 Qt5 COMPONENTS Core DBus REQUIRED)
find_package(Qt5 COMPONENTS Core DBus REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt)
pkg_check_modules(GLIB2 REQUIRED IMPORTED_TARGET glib-2.0)
pkg_check_modules(GIO2 REQUIRED IMPORTED_TARGET gio-2.0)
pkg_check_modules(XCURSOR REQUIRED IMPORTED_TARGET xcursor)
pkg_check_modules(XFIXES REQUIRED IMPORTED_TARGET xfixes)
pkg_check_modules(X11 REQUIRED IMPORTED_TARGET x11)

add_executable(${BIN_NAME}
    main.cpp
    xsettingschecker.h
    xsettingschecker.cpp
    ${PROJECT_SOURCE_DIR}/src/dde-session/impl/iowait/xcursor_remap.h
    ${PROJECT_SOURCE_DIR}/src/dde-session/impl/iowait/xcursor_remap.c
    ${PROJECT_SOURCE_DIR}/src/utils/utils.h
    )

target_link_libraries(${BIN_NAME}
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    PkgConfig::QGSettings
    PkgConfig::GLIB2
    PkgConfig::GIO2
    PkgConfig::QGSettings
    PkgConfig::XCURSOR
    PkgConfig::XFIXES
    PkgConfig::X11
    )

target_include_directories(${BIN_NAME} PUBLIC
    ${PROJECT_SOURCE_DIR}/src/dde-session/impl/iowait
    ${PROJECT_SOURCE_DIR}/src/utils
    )

install(TARGETS ${BIN_NAME} DESTINATION bin)

set(SYSTEMD_FILES
    dde-xsettings-checker.service
)
install(FILES ${SYSTEMD_FILES} DESTINATION lib/systemd/user/)
install(DIRECTORY DESTINATION lib/systemd/user/dde-session-initialized.target.wants/)
install_symlink(dde-xsettings-checker.service dde-session-initialized.target.wants)

=== debian/changelog ===
dde-session (1.2.13) unstable; urgency=medium

  * chore: 解决修改快捷键配置重启后恢复的问题

 -- fuleyi <fuleyi@uniontech.com>  Thu, 08 Aug 2024 15:45:01 +0800

dde-session (1.2.12) unstable; urgency=medium

 * fix deepin-kwin shortcuts

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Wed, 3 Jul 2024 14:42:06 +0800

dde-session (1.2.11) unstable; urgency=medium

 * release 1.2.11

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Wed, 26 Jun 2024 18:42:06 +0800

dde-session (1.2.10) unstable; urgency=medium

  * release 1.2.10

 -- Mike Chen <chenke@deepin.org>  Thu, 16 May 2024 17:16:32 +0800

dde-session (1.2.9) unstable; urgency=medium

  * chore: move dde-session@x11 to dde-session-pre.target

 -- justforlxz <zhangdingyuan@deepin.org>  Sun, 28 Apr 2024 13:03:06 +0800

dde-session (1.2.8) unstable; urgency=medium

  * fix: logging out takes a long time

 -- zsien <quezhiyong@deepin.org>  Wed, 24 Apr 2024 13:49:56 +0800

dde-session (1.2.7) unstable; urgency=medium

  * chore: dde-shell replace dde-dock

 -- tsic404 <liuhenga@deepin.org>  Fri, 29 Mar 2024 10:18:05 +0800

dde-session (1.2.6) unstable; urgency=medium

  * fix: dock will flash when logout

 -- dengbo <dengbo@deepin.org>  Wed, 31 Jan 2024 11:23:52 +0800

dde-session (1.2.5) unstable; urgency=medium

  * fix: deepin-authenticate load abnormal
  * fix: kwin launch failed

 -- dengbo <dengbo@deepin.org>  Thu, 25 Jan 2024 09:09:01 +0800

dde-session (1.2.4) unstable; urgency=medium

  * fix #5743

 -- Mike Chen <chenke@deepin.org>  Mon, 22 Jan 2024 17:39:56 +0800

dde-session (1.2.3) unstable; urgency=medium

  * chore: remove wayland entry
  * chore: QT_QPA_PLATFORM env add dxcb

 -- dengbo <dengbo@deepin.org>  Thu, 11 Jan 2024 10:18:09 +0800

dde-session (1.2.2) unstable; urgency=medium

  * fix: fcitx5 can not start

 -- dengbo <dengbo@deepin.org>  Wed, 27 Dec 2023 11:20:15 +0800

dde-session (1.2.1) unstable; urgency=medium

  * fix: XDG_SESSION_TYPE is error when switch display manager environment

 -- dengbo <dengbo@deepin.org>  Tue, 28 Nov 2023 14:20:20 +0800

dde-session (1.2.0) unstable; urgency=medium

  * fix: dde-session cannot shutdown
  * fix: fix-linglong app is missing
  * chore: env update script add

 -- dengbo <dengbo@deepin.org>  Wed, 22 Nov 2023 16:04:20 +0800

dde-session (1.1.9) unstable; urgency=medium

  * fix: dock bluetooth module missing

 -- dengbo <dengbo@uniontech.com>  Tue, 12 Sep 2023 16:04:50 +0800

dde-session (1.1.8) unstable; urgency=medium

  * chore: update dde-dock depency

 -- dengbo <dengbo@uniontech.com>  Wed, 06 Sep 2023 15:00:20 +0800

dde-session (1.1.7) unstable; urgency=medium

  * fix: Disorder between dde-lock and dde-session-daemon

 -- dengbo <dengbo@uniontech.com>  Wed, 06 Sep 2023 10:01:51 +0800

dde-session (1.1.6) unstable; urgency=medium

  * chore: remove dde-session-wayland.target in dde-session@x11.service
  * fix: stop pipewire in logout

 -- dengbo <dengbo@uniontech.com>  Tue, 22 Aug 2023 10:39:50 +0800

dde-session (1.1.5) unstable; urgency=medium

  * fix: dde-desktop启动应依赖dde-appearance服务

 -- dengbo <dengbo@uniontech.com>  Fri, 07 Jul 2023 10:24:50 +0800

dde-session (1.1.4) unstable; urgency=medium

  * release dde-sesion

 -- dengbo <dengbo@uniontech.com>  Fri, 12 May 2023 10:21:20 +0800

dde-session (1.1.3) unstable; urgency=medium

  * fix: no environment variable on wayland session
  * chore: remove Qt font set through xsettings

 -- dengbo <dengbo@uniontech.com>  Thu, 11 May 2023 17:56:30 +0800

dde-session (1.1.2) unstable; urgency=medium

  * refactor: Organize systemd services
  * refactor: remove unneeded dependencies
  * chore: dde-session-daemon.target.wants some services is lost

 -- dengbo <dengbo@uniontech.com>  Sat, 6 May 2023 10:16:30 +0800

dde-session (1.1.1) unstable; urgency=medium

  * chore: sync changes in deepin-kwin
  * chore: install dde-session-ctl to CMAKE_INSTALL_LIBEXECDIR
  * fix: not in the correct exit order
  * fix: dapplication cannot load icon
  * fix: wine window shadows not following

 -- dengbo <dengbo@uniontech.com>  Sun, 23 Apr 2023 17:35:15 +0800

dde-session (1.1.0) unstable; urgency=medium

  * fix: dde-display doesn't start logout steps when stopped

 -- dengbo <dengbo@uniontech.com>  Fri, 7 Apr 2023 15:21:40 +0800

dde-session (1.0.9) unstable; urgency=medium

  [ TagBuilder ]
  * fix: wrong environment variable cleanup
  * feat: add wayland session entry
  * chore!: use DDE for current desktop name
  * fix: 切换用户后打开关机界面异常 (#6)

 -- dengbo <dengbo@uniontech.com>  Wed, 29 Mar 2023 14:15:01 +0800

dde-session (1.0.8) unstable; urgency=medium

  [ TagBuilder ]
  * chore: update doc(Task: 108555)(Influence: null)
  * fix: 大版本升级异常退出登录问题修复(Bug: 183785)(Influence: 升级)

 -- lvpeilong <lvpeilong@uniontech.com>  Thu, 02 Feb 2023 09:47:30 +0800

dde-session (1.0.7.1) unstable; urgency=medium

  [ TagBuilder ]
  * feat: dde-session大版本升级冲突(Task: 237865)

 -- lvpeilong <lvpeilong@uniontech.com>  Tue, 17 Jan 2023 09:14:28 +0800

dde-session (1.0.7) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复SessionManager属性变化无法监听的问题(Task: 230459)(Influence: 暂无)
  * fix: 修复高分屏下企业微信无法跟随系统缩放显示问题(Bug: 182737)(Influence: wine应用缩放)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Fri, 13 Jan 2023 11:46:29 +0800

dde-session (1.0.6) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复注销时声音特效不生效问题(Task: 160613)(Influence: 声音特效-注销)
  * feat: 迁移iowait功能(Task: 230459)(Influence: cpu处于iowait状态时，鼠标光标会改变样式)
  * feat: 进入桌面后，初始化鼠标光标样式(Task: 230459)(Influence: 进入桌面后，初始化鼠标光标样式)
  * feat: 进入桌面后播放自动登录声音(Task: 230459)(Influence: 进入桌面后播放自动登录声音)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 29 Dec 2022 15:14:39 +0800

dde-session (1.0.5) unstable; urgency=medium

  [ TagBuilder ]
  * feat: 迁移sessionManager服务接口(Task: 203055)
  * feat: 增加系统版本更新检测机制(Task: 203055)(Influence: 系统版本更新后，自动打开欢迎界面)
  * feat: 启动后检检查keyring配置文件(Task: 203055)(Influence: login.keyring不存在时自动创建默认的配置文件)
  * feat: 启动后检检查xsettings配置(Task: 203055)(Influence: 用户默认字体显示正常)


=== debian/control ===
Source: dde-session
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 cmake,
 debhelper-compat (= 11),
 libdtkcore-dev (>=5.4.14),
 libdtkcore5-bin,
 libglib2.0-dev,
 libgsettings-qt-dev,
 libsecret-1-dev,
 libsystemd-dev,
 libx11-dev,
 libxcursor-dev,
 libxfixes-dev,
 pkg-config,
 qtbase5-dev,
Standards-Version: 4.1.3
Homepage: https://www.deepin.org

Package: dde-session
Architecture: any
Depends:
 jq,
 sed (>= 4),
 startdde (>= 6.0.11),
 systemd,
 ${misc:Depends},
 ${shlibs:Depends},
Description: dde session module
  dde-session is used for launching DDE components systemd service project.

## dde-session 1.99.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,9 @@
     set(CMAKE_INSTALL_PREFIX /usr)
 endif ()
 include(GNUInstallDirs)
+
+set(QT_VERSION_MAJOR 6)
+set(DTK_VERSION_MAJOR 6)
 
 macro(install_symlink filepath wantsdir)
     file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/link/${wantsdir}/)

=== misc/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 set(XSESSION
     ${CMAKE_CURRENT_SOURCE_DIR}/Xsession.d/00deepin-dde-env
     ${CMAKE_CURRENT_SOURCE_DIR}/Xsession.d/01deepin-profile
-    ${CMAKE_CURRENT_SOURCE_DIR}/Xsession.d/94qt_env
 )
 
 set(PROFILE

=== systemd/CMakeLists.txt ===
--- 
+++ 
@@ -23,29 +23,24 @@
 install(DIRECTORY DESTINATION lib/systemd/user/dde-session-pre.target.wants/)
 set(DDE_SESSION_PRE_WANTS
     dde-session-pre.target.wants/dde-session@x11.service
-    dde-session-pre.target.wants/dde-display.service
 )
 
 # dde-session-initialized.target.wants - TODO: 暂时先放这里，后续应该转移到对应服务
 install(DIRECTORY DESTINATION lib/systemd/user/dde-session-initialized.target.wants/)
 set(DDE_SESSION_INITIALIZED_WANTS
-    dde-session-initialized.target.wants/dde-desktop.service
     dde-session-initialized.target.wants/dde-shell@DDE.service
+    dde-session-initialized.target.wants/dde-shell-plugin@org.deepin.ds.desktop.service
     dde-session-initialized.target.wants/dde-lock.service
-    dde-session-initialized.target.wants/dde-osd.service
-    dde-session-initialized.target.wants/dde-osd.target
     dde-session-initialized.target.wants/dde-polkit-agent.service
 )
 
 install(FILES ${DDE_SESSION_PRE_WANTS} DESTINATION lib/systemd/user/)
 install(FILES ${DDE_SESSION_INITIALIZED_WANTS} DESTINATION lib/systemd/user/)
 install_symlink(dde-session@x11.service dde-session-pre.target.wants)
-install_symlink(dde-display.service dde-session-pre.target.wants)
-install_symlink(dde-desktop.service dde-session-initialized.target.wants)
+install_symlink(dde-shell-plugin@org.deepin.ds.desktop.service dde-session-initialized.target.wants)
 install_symlink(dde-shell@DDE.service dde-session-initialized.target.wants)
 install_symlink(dde-lock.service dde-session-initialized.target.wants)
 install_symlink(dde-polkit-agent.service dde-session-initialized.target.wants)
-install_symlink(dde-osd.service dde-session-initialized.target.wants)
 
 install(FILES ${DDE_SESSION_DAEMON_WANTS} DESTINATION lib/systemd/user/)
 install(DIRECTORY dde-session-shutdown.target.d DESTINATION lib/systemd/user/)

=== tools/CMakeLists.txt ===
add_subdirectory("dde-login-reminder")
add_subdirectory("dde-keyring-checker")
add_subdirectory("dde-version-checker")
add_subdirectory("dde-xsettings-checker")

=== src/dde-session/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Concurrent DBus REQUIRED)
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Core)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
find_package(PkgConfig REQUIRED)
pkg_check_modules(Systemd REQUIRED IMPORTED_TARGET libsystemd)
pkg_check_modules(GLIB2 REQUIRED IMPORTED_TARGET glib-2.0)
pkg_check_modules(GIO2 REQUIRED IMPORTED_TARGET gio-2.0)
pkg_check_modules(XCURSOR REQUIRED IMPORTED_TARGET xcursor)
pkg_check_modules(XFIXES REQUIRED IMPORTED_TARGET xfixes)
pkg_check_modules(X11 REQUIRED IMPORTED_TARGET x11)

# dbus adaptor
qt_add_dbus_adaptor(ADAPTER_SOURCES
    ../../dbus/adaptor/org.deepin.dde.Session1.xml
    impl/session.h
    Session
)
qt_add_dbus_adaptor(ADAPTER_SOURCES
    ../../dbus/adaptor/org.deepin.dde.SessionManager1.xml
    impl/sessionmanager.h
    SessionManager
)
qt_add_dbus_adaptor(ADAPTER_SOURCES
    ../../dbus/adaptor/org.deepin.dde.Inhibitor1.xml
    impl/inhibitor.h
    Inhibitor
)
qt_add_dbus_adaptor(ADAPTER_SOURCES
    ../../dbus/adaptor/org.deepin.dde.WMSwitcher1.xml
    impl/wmswitcher.h
    WMSwitcher
)

# dbus interface
qt_add_dbus_interface_fix(INTERFACE_SOURCES org.deepin.dde.PowerManager1.xml PowerManager org_deepin_dde_PowerManager1)
qt_add_dbus_interface_fix(INTERFACE_SOURCES org.deepin.dde.Bluetooth1.xml Bluetooth org_deepin_dde_Bluetooth1)
qt_add_dbus_interface_fix(INTERFACE_SOURCES org.deepin.dde.Daemon1.xml SessionDaemon org_deepin_dde_Daemon1)
qt_add_dbus_interface_fix(INTERFACE_SOURCES org.freedesktop.login1.Manager.xml Login1Manager org_freedesktop_login1_Manager)
qt_add_dbus_interface_fix(INTERFACE_SOURCES org.freedesktop.login1.Session.xml Login1Session org_freedesktop_login1_Session)
qt_add_dbus_interface_fix(INTERFACE_SOURCES org.freedesktop.login1.User.xml Login1User org_freedesktop_login1_User)
qt_add_dbus_interface_fix(INTERFACE_SOURCES org.freedesktop.DBus.xml DBus org_freedesktop_DBus)
qt_add_dbus_interface_fix(INTERFACE_SOURCES org.freedesktop.systemd1.Manager.xml Systemd1Manager org_freedesktop_systemd1_Manager)
qt_add_dbus_interface_fix(INTERFACE_SOURCES org.freedesktop.systemd1.Job.xml Systemd1Job org_freedesktop_systemd1_Job)
qt_add_dbus_interface_fix(INTERFACE_SOURCES org.deepin.dde.Audio1.xml Audio1 org_deepin_dde_Audio1)
qt_add_dbus_interface_fix(INTERFACE_SOURCES org.deepin.dde.Audio1.Sink.xml Sink org_deepin_dde_Audio1_Sink)
qt_add_dbus_interface_fix(INTERFACE_SOURCES com.deepin.wm.xml DeepinWm com_deepin_Wm)

file(GLOB_RECURSE DBUS_TYPES ${PROJECT_SOURCE_DIR}/dbus/types/*)

add_executable(dde-session
    main.cpp
    environmentsmanager.h
    environmentsmanager.cpp
    othersmanager.h
    othersmanager.cpp
    impl/session.h
    impl/session.cpp
    impl/sessionmanager.h
    impl/sessionmanager.cpp
    impl/inhibitor.h
    impl/inhibitor.cpp
    impl/wmswitcher.h
    impl/wmswitcher.cpp
    impl/iowait/iowaitwatcher.h
    impl/iowait/iowaitwatcher.cpp
    impl/iowait/xcursor_remap.h
    impl/iowait/xcursor_remap.c
    ../utils/dconf.h
    ../utils/dconf.cpp
    ../utils/fifo.h
    ../utils/fifo.cpp
    ../utils/utils.h
    ${ADAPTER_SOURCES}
    ${INTERFACE_SOURCES}
    ${DBUS_TYPES}
)

target_link_libraries(dde-session
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Concurrent
    PkgConfig::Systemd
    Dtk${DTK_VERSION_MAJOR}::Core
    PkgConfig::GLIB2
    PkgConfig::GIO2
    PkgConfig::XCURSOR
    PkgConfig::XFIXES
    PkgConfig::X11
)

target_include_directories(dde-session PUBLIC
    ../
    ${QT_DBUS_INTERFACE_INCLUDE}
    ${DBUS_INCLUDE}
)

install(TARGETS dde-session DESTINATION ${CMAKE_INSTALL_BINDIR})

=== tools/dde-version-checker/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 set(BIN_NAME dde-version-checker)
 
-#find_package(QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
-find_package(Qt5 COMPONENTS Core REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core REQUIRED)
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
@@ -10,11 +9,11 @@
 
 add_executable(${BIN_NAME}
     main.cpp
-    )
+)
 
 target_link_libraries(${BIN_NAME}
     Qt${QT_VERSION_MAJOR}::Core
-    )
+)
 
 install(TARGETS ${BIN_NAME} DESTINATION bin)

=== debian/changelog ===
dde-session (1.99.17) unstable; urgency=medium

  * fix: unset systemd-user's DISPLAY env when system logs out

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 15 May 2025 21:06:38 +0800

dde-session (1.99.16) unstable; urgency=medium

  * fix: don't target dde-session-shutdown when kwin failure

 -- luhongxu <luhongxu@deepin.org>  Thu, 15 May 2025 11:35:19 +0800

dde-session (1.99.15) unstable; urgency=medium

  * fix: desktop can be restart when it was killed
  * fix: reorder login sound playback in sessionmanager

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 29 Apr 2025 10:52:58 +0800

dde-session (1.99.14) unstable; urgency=medium

  * fix: auto rename deepin-kwin config in kglobalshortcutsrc

 -- rewine <luhongxu@deepin.org>  Wed, 09 Apr 2025 10:34:39 +0800

dde-session (1.99.13) unstable; urgency=medium

  * chore: remove startdde dependency

 -- fuleyi <fuleyi@uniontech.com>  Thu, 03 Apr 2025 15:14:45 +0800

dde-session (1.99.12) unstable; urgency=medium

  * rename deepin-kwin to kwin

 -- rewine <luhongxu@uniontech.com>  Mon, 24 Mar 2025 10:33:39 +0800

dde-session (1.99.11) unstable; urgency=medium

  * fix: return value spelling error

 -- zhangkun <zhangkun2@uniontech.com>  Sat, 08 Mar 2025 13:49:35 +0800

dde-session (1.99.10) unstable; urgency=medium

  * fix: 修复从登录页面到桌面加载时间大约需要2分钟问题.

 -- Chengqi E<echengqi@uniontech.com>  Thu, 06 Mar 2025 20:46:55 +0800

dde-session (1.99.9) unstable; urgency=medium

  * chore: adapt to Qt6.

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 23 Jan 2025 17:41:56 +0800

dde-session (1.99.8) unstable; urgency=medium

  * fix: not reconnect to treeland
  * fix: the language change in Treeland is not work

 -- zsien <quezhiyong@deepin.org>  Fri, 27 Dec 2024 09:46:50 +0800

dde-session (1.99.7) unstable; urgency=medium

  * fix: dde-desktop unable to start

 -- tsic404 <liuheng@depein.org>  Mon, 16 Dec 2024 15:27:03 +0800

dde-session (1.99.6) unstable; urgency=medium

  * chore: add xcb to QT_QPA_PLATFORM fallback
  * fix: the environment variable is set incorrectly

 -- xionglinlin <xionglinlin@uniontech.com>  Sat, 14 Dec 2024 14:33:18 +0800

dde-session (1.99.5) unstable; urgency=medium

  * move desktop in a separate process
  * feat: set a fixed cursor size on Wayland

 -- tsic404 <liuheng@depein.org>  Fri, 13 Dec 2024 10:31:27 +0800

dde-session (1.99.4) unstable; urgency=medium

  * fix: 窗口特效支持三挡调节
  * chore: remove 94qt_env
  * fix: dtk6 theme is not deepin style on Non-Debian base distributions

 -- fuleyi <fuleyi@uniontech.com>  Fri, 06 Dec 2024 14:37:46 +0800

dde-session (1.99.3) unstable; urgency=medium

  * chore: remove dde-desktop

 -- zsien <quezhiyong@deepin.org>  Fri, 29 Nov 2024 15:41:24 +0800

dde-session (1.99.2) UNRELEASED; urgency=medium

  * feat: DDE适配Treeland

 -- Zhang Kun <zhangkun2@uniontech.com>  Fri, 22 Nov 2024 13:45:22 +0800

dde-session (1.99.1) UNRELEASE; urgency=medium

  * feat: disable dde-osd service in professional version(task: 365219)

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 24 Oct 2024 15:50:56 +0800

dde-session (1.2.14) unstable; urgency=medium

  * release 1.2.14

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 22 Oct 2024 20:43:31 +0800

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,16 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 11),
- libdtkcore-dev (>=5.4.14),
- libdtkcore5-bin,
+ libdtk6core-dev,
+ libdtk6core-bin,
  libglib2.0-dev,
- libgsettings-qt-dev,
  libsecret-1-dev,
  libsystemd-dev,
  libx11-dev,
  libxcursor-dev,
  libxfixes-dev,
  pkg-config,
- qtbase5-dev,
+ qt6-base-dev,
 Standards-Version: 4.1.3
 Homepage: https://www.deepin.org
 
@@ -24,7 +23,7 @@
 Depends:
  jq,
  sed (>= 4),
- startdde (>= 6.0.11),
+ dde-daemon (>= 6.1.26),
  systemd,
  ${misc:Depends},
  ${shlibs:Depends},

## dde-session 2.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
 if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     set(CMAKE_INSTALL_PREFIX /usr)

=== misc/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-configure_file(xsessions/dde-x11.desktop.in xsessions/dde-x11.desktop)
+configure_file(xsessions/deepin.desktop.in xsessions/deepin.desktop)
 
 set(XSESSION
     ${CMAKE_CURRENT_SOURCE_DIR}/Xsession.d/00deepin-dde-env

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
-find_package(DtkTools REQUIRED)
+# SPDX-FileCopyrightText: 2024 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: CC0-1.0
+
+find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Tools)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
@@ -9,13 +13,13 @@
 file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/dbusinterface/)
 set(QT_DBUS_INTERFACE_INCLUDE ${PROJECT_BINARY_DIR}/dbusinterface/)
 
-macro(qt5_add_dbus_interface_fix srcs xml class file)
+macro(qt_add_dbus_interface_fix srcs xml class file)
   execute_process(COMMAND ${DTK_XML2CPP} -c ${class} -p ${PROJECT_BINARY_DIR}/dbusinterface/${file} ${PROJECT_SOURCE_DIR}/dbus/interface/${xml})
   list(APPEND ${srcs}
     ${PROJECT_BINARY_DIR}/dbusinterface/${file}.h
     ${PROJECT_BINARY_DIR}/dbusinterface/${file}.cpp
   )
-endmacro(qt5_add_dbus_interface_fix)
+endmacro(qt_add_dbus_interface_fix)
 
 # qtdbusextended
 set(DBUS_INCLUDE ${PROJECT_SOURCE_DIR}/dbus/)

=== tools/dde-keyring-checker/CMakeLists.txt ===
project(dde-keyring-checker LANGUAGES C)

set(BIN_NAME dde-keyring-checker)

find_package(PkgConfig REQUIRED)
pkg_check_modules(SECRET1 REQUIRED IMPORTED_TARGET libsecret-1)

message(${PROJECT_SOURCE_DIR})

add_executable(${BIN_NAME}
    main.c
    )

target_link_libraries(${BIN_NAME}
    PkgConfig::SECRET1
    )

install(TARGETS ${BIN_NAME} DESTINATION bin)

set(SYSTEMD_FILES
    dde-keyring-checker.service
)
install(FILES ${SYSTEMD_FILES} DESTINATION lib/systemd/user/)
install(DIRECTORY DESTINATION lib/systemd/user/dde-session-initialized.target.wants/)
install_symlink(dde-keyring-checker.service dde-session-initialized.target.wants)

=== tools/dde-login-reminder/CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,10 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-#find_package(QT NAMES Qt6 Qt5 COMPONENTS Core Network REQUIRED)
-find_package(Qt5 COMPONENTS Core Network DBus REQUIRED)
+
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Network DBus REQUIRED)
 
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt)
 
 message(${PROJECT_SOURCE_DIR})
 
@@ -16,18 +15,17 @@
     loginreminderinfo.h
     loginreminderinfo.cpp
     ${PROJECT_SOURCE_DIR}/src/utils/utils.h
-    )
+)
 
 target_link_libraries(${BIN_NAME}
     Qt${QT_VERSION_MAJOR}::Core
     Qt${QT_VERSION_MAJOR}::DBus
     Qt${QT_VERSION_MAJOR}::Network
-    PkgConfig::QGSettings
-    )
+)
 
 target_include_directories(${BIN_NAME} PUBLIC
     ${PROJECT_SOURCE_DIR}/src/utils
-    )
+)
 
 install(TARGETS ${BIN_NAME} DESTINATION bin)

=== tools/dde-quick-login/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 - 2025 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(BIN_NAME dde-quick-login)

set(CMAKE_CXX_STANDARD 17)

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core DBus)
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Core)
find_package(PkgConfig REQUIRED)
pkg_check_modules(Systemd REQUIRED IMPORTED_TARGET libsystemd)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

set(SOURCES
    main.cpp
    lockprocessmanager.cpp
)

set(HEADERS
    lockprocessmanager.h
)

add_executable(${BIN_NAME} ${SOURCES} ${HEADERS})

target_link_libraries(${BIN_NAME}
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    Dtk${DTK_VERSION_MAJOR}::Core
    PkgConfig::Systemd
)

install(TARGETS ${BIN_NAME}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

=== tools/dde-xsettings-checker/CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,8 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 
-#find_package(QT NAMES Qt6 Qt5 COMPONENTS Core DBus REQUIRED)
-find_package(Qt5 COMPONENTS Core DBus REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core DBus REQUIRED)
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt)
 pkg_check_modules(GLIB2 REQUIRED IMPORTED_TARGET glib-2.0)
 pkg_check_modules(GIO2 REQUIRED IMPORTED_TARGET gio-2.0)
 pkg_check_modules(XCURSOR REQUIRED IMPORTED_TARGET xcursor)
@@ -21,24 +19,22 @@
     ${PROJECT_SOURCE_DIR}/src/dde-session/impl/iowait/xcursor_remap.h
     ${PROJECT_SOURCE_DIR}/src/dde-session/impl/iowait/xcursor_remap.c
     ${PROJECT_SOURCE_DIR}/src/utils/utils.h
-    )
+)
 
 target_link_libraries(${BIN_NAME}
     Qt${QT_VERSION_MAJOR}::Core
     Qt${QT_VERSION_MAJOR}::DBus
-    PkgConfig::QGSettings
     PkgConfig::GLIB2
     PkgConfig::GIO2
-    PkgConfig::QGSettings
     PkgConfig::XCURSOR
     PkgConfig::XFIXES
     PkgConfig::X11
-    )
+)
 
 target_include_directories(${BIN_NAME} PUBLIC
     ${PROJECT_SOURCE_DIR}/src/dde-session/impl/iowait
     ${PROJECT_SOURCE_DIR}/src/utils
-    )
+)
 
 install(TARGETS ${BIN_NAME} DESTINATION bin)

=== debian/changelog ===
dde-session (2.0.3) unstable; urgency=medium

  * fix: update systemd service configurations
  * fix: remove QT logging rules check for UOS

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 27 Jun 2025 15:13:57 +0800

dde-session (2.0.2) unstable; urgency=medium

  * fix: launch dde-lock.service when lock was unlocked in quick login mode

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 24 Jun 2025 20:53:35 +0800

dde-session (2.0.1) unstable; urgency=medium

  * fix: cannot receive ActiveChanged signal when os was restarted

 -- zhangkun <zhangkun2@uniontech.com>  Mon, 23 Jun 2025 21:28:59 +0800

dde-session (2.0.0) unstable; urgency=medium

  * feat: update session configuration for Deepin Desktop Environment

 -- fuleyi <fuleyi@uniontech.com>  Fri, 20 Jun 2025 16:59:39 +0800

dde-session (1.99.21) unstable; urgency=medium

  * feat: enable position independent code in CMake

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 19 Jun 2025 11:00:01 +0800

dde-session (1.99.20) unstable; urgency=medium

  * fix: start deepin-keyring-whitebox when dde-session starting
  * fix: using DPMS to close screen when need hibernate

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 19 Jun 2025 09:52:01 +0800

dde-session (1.99.19) unstable; urgency=medium

  * chore: add dde quick login

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Fri, 06 Jun 2025 09:37:10 +0800

dde-session (1.99.18) unstable; urgency=medium

  * fix: 解决音效服务异常的问题

 -- fuleyi <fuleyi@uniontech.com>  Tue, 27 May 2025 16:53:17 +0800

## dde-session 2.0.6

=== misc/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 set(XSESSION
     ${CMAKE_CURRENT_SOURCE_DIR}/Xsession.d/00deepin-dde-env
     ${CMAKE_CURRENT_SOURCE_DIR}/Xsession.d/01deepin-profile
+    ${CMAKE_CURRENT_SOURCE_DIR}/Xsession.d/97deepin-keyring-wb
 )
 
 set(PROFILE

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
 set (CMAKE_CXX_STANDARD 11)
-set(CMAKE_CXX_FLAGS "-W -Wall -fPIC -fstack-protector-all -z relro -z noexecstack -z now -pie")
 
 # qdbusxml2cpp-fix
 file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/dbusinterface/)

=== systemd/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
 install(DIRECTORY DESTINATION lib/systemd/user/dde-session-pre.target.wants/)
 set(DDE_SESSION_PRE_WANTS
     dde-session-pre.target.wants/dde-session@x11.service
+    dde-session-pre.target.wants/dde-quick-login@x11.service
 )
 
 # dde-session-initialized.target.wants - TODO: 暂时先放这里，后续应该转移到对应服务
@@ -37,6 +38,7 @@
 install(FILES ${DDE_SESSION_PRE_WANTS} DESTINATION lib/systemd/user/)
 install(FILES ${DDE_SESSION_INITIALIZED_WANTS} DESTINATION lib/systemd/user/)
 install_symlink(dde-session@x11.service dde-session-pre.target.wants)
+install_symlink(dde-quick-login@x11.service dde-session-pre.target.wants)
 install_symlink(dde-shell-plugin@org.deepin.ds.desktop.service dde-session-initialized.target.wants)
 install_symlink(dde-shell@DDE.service dde-session-initialized.target.wants)
 install_symlink(dde-lock.service dde-session-initialized.target.wants)

=== debian/changelog ===
dde-session (2.0.6) unstable; urgency=medium

  * fix: resolve keyring prompt issue during login by moving keyring
    startup to Xsession.d
  * chore: bump version to 2.0.5

 -- fuleyi <fuleyi@uniontech.com>  Tue, 15 Jul 2025 14:54:39 +0800

dde-session (2.0.5) unstable; urgency=medium

  * fix: avoid memory leak

 -- zyz <zhaoyingzhen@uniontech.com>  Fri, 11 Jul 2025 13:47:06 +0800

dde-session (2.0.4) unstable; urgency=medium

  * fix: update build hardening flags and cmake configuration

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 19:52:38 +0800

## dde-session 2.0.7

=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -2,3 +2,4 @@
 add_subdirectory("dde-keyring-checker")
 add_subdirectory("dde-version-checker")
 add_subdirectory("dde-xsettings-checker")
+add_subdirectory("dde-quick-login")

=== src/dde-session-ctl/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core DBus)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
qt_add_dbus_interface(DBUS_SOURCES
    ../../dbus/adaptor/org.deepin.dde.Session1.xml
    Session
)

add_executable(dde-session-ctl
    main.cpp
    ${DBUS_SOURCES}
    ../../dbus/adaptor/org.deepin.dde.Session1.xml
)
target_link_libraries(dde-session-ctl
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
)

install(TARGETS dde-session-ctl DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})

=== debian/changelog ===
dde-session (2.0.7) unstable; urgency=medium

  * fix: resolve audio service stop issue during logout

 -- fuleyi <fuleyi@uniontech.com>  Fri, 10 Oct 2025 15:44:08 +0800

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,8 @@
  jq,
  sed (>= 4),
  dde-daemon (>= 6.1.26),
+ libdtkdata (>=5.7.18),
+ libdtk6core (>=6.0.38),
  systemd,
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_CXXFLAGS_MAINT_APPEND = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E

%:
	dh $@ --buildsystem=cmake

## dde-session 2.0.9

=== src/dde-session/CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,6 @@
 )
 
 # dbus interface
-qt_add_dbus_interface_fix(INTERFACE_SOURCES org.deepin.dde.PowerManager1.xml PowerManager org_deepin_dde_PowerManager1)
 qt_add_dbus_interface_fix(INTERFACE_SOURCES org.deepin.dde.Bluetooth1.xml Bluetooth org_deepin_dde_Bluetooth1)
 qt_add_dbus_interface_fix(INTERFACE_SOURCES org.deepin.dde.Daemon1.xml SessionDaemon org_deepin_dde_Daemon1)
 qt_add_dbus_interface_fix(INTERFACE_SOURCES org.freedesktop.login1.Manager.xml Login1Manager org_freedesktop_login1_Manager)

=== tools/dde-version-checker/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,9 @@
 
 set(SYSTEMD_FILES
     dde-version-checker.service
+    dde-version-checker@quick-login.service
 )
 install(FILES ${SYSTEMD_FILES} DESTINATION lib/systemd/user/)
 install(DIRECTORY DESTINATION lib/systemd/user/dde-session-initialized.target.wants/)
+# 只为普通的 dde-version-checker.service 创建 symlink，quick-login 版本不自动启动
 install_symlink(dde-version-checker.service dde-session-initialized.target.wants)

=== debian/changelog ===
dde-session (2.0.9) unstable; urgency=medium

  * fix: in quick login mode, the dde-version-check is executed only
    after the lock is unlocked

 -- xionglinlin <xionglinlin@uniontech.com>  Tue, 18 Nov 2025 11:15:29 +0800

dde-session (2.0.8) unstable; urgency=medium

  * refactor: remove PowerManager dependency from session manager
  * docs: update license references in README files

 -- lvpeilong <lvpeilong@uniontech.com>  Thu, 30 Oct 2025 20:17:43 +0800
